Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 588472 - Review Request:rubygem-rjb - Ruby to java Bridge
Summary: Review Request:rubygem-rjb - Ruby to java Bridge
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW buildr
TreeView+ depends on / blocked
 
Reported: 2010-05-03 19:02 UTC by Adam Young
Modified: 2010-12-26 20:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-26 20:30:20 UTC


Attachments (Terms of Use)

Description Adam Young 2010-05-03 19:02:32 UTC
Spec URL:http://github.com/admiyo/MySpecs/blob/master/rubygem-rjb.spec 
SRPM URL:http://admiyo.fedorapeople.org/buildr-repo/rubygem-rjb-1.2.0-1.young.src.rpm
Description: RJB is a bridge program that connect between Ruby and Java with Java Native
Interface.

Comment 1 Adam Young 2010-05-11 14:29:57 UTC
Primary thing was to move the gem install into the build step.  Other clean up as well:  dependencies and define->global.

http://github.com/admiyo/MySpecs/blob/cca3bd1a056f9a35636a5e3845a5e034a4e237a0/rubygem-rjb.spec

Comment 3 Michael Stahnke 2010-08-30 03:12:58 UTC
rpmlint is not silent.  There is probably more, but we can start with that. 



rpmlint ../RPMS/x86_64/rubygem-rjb-1.2.0-2.fc13.x86_64.rpm 
rubygem-rjb.x86_64: W: no-soname /usr/lib/ruby/gems/1.8/gems/rjb-1.2.0/lib/rjbcore.so
rubygem-rjb.x86_64: W: devel-file-in-non-devel-package /usr/lib/ruby/gems/1.8/gems/rjb-1.2.0/ext/jp_co_infoseek_hp_arton_rjb_RBridge.h
rubygem-rjb.x86_64: W: devel-file-in-non-devel-package /usr/lib/ruby/gems/1.8/gems/rjb-1.2.0/ext/rjbexception.c
rubygem-rjb.x86_64: W: devel-file-in-non-devel-package /usr/lib/ruby/gems/1.8/gems/rjb-1.2.0/ext/load.c
rubygem-rjb.x86_64: W: devel-file-in-non-devel-package /usr/lib/ruby/gems/1.8/gems/rjb-1.2.0/ext/rjb.h
rubygem-rjb.x86_64: W: devel-file-in-non-devel-package /usr/lib/ruby/gems/1.8/gems/rjb-1.2.0/ext/rjb.c
rubygem-rjb.x86_64: E: wrong-script-interpreter /usr/lib/ruby/gems/1.8/gems/rjb-1.2.0/test/test.rb /usr/local/env
rubygem-rjb.x86_64: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/rjb-1.2.0/test/test.rb 0644L /usr/local/env
rubygem-rjb.x86_64: W: devel-file-in-non-devel-package /usr/lib/ruby/gems/1.8/gems/rjb-1.2.0/ext/extconf.h
rubygem-rjb.x86_64: W: devel-file-in-non-devel-package /usr/lib/ruby/gems/1.8/gems/rjb-1.2.0/ext/riconv.h
rubygem-rjb.x86_64: W: devel-file-in-non-devel-package /usr/lib/ruby/gems/1.8/gems/rjb-1.2.0/ext/riconv.c
rubygem-rjb.x86_64: W: devel-file-in-non-devel-package /usr/lib/ruby/gems/1.8/gems/rjb-1.2.0/ext/jniwrap.h
1 packages and 0 specfiles checked; 2 errors, 10 warnings.

Comment 4 Jesus M. Rodriguez 2010-11-18 14:59:28 UTC
I will be taking this over, I will be bumping rjb up to 1.2.9. I'll post an updated spec and srpm.


Note You need to log in before you can comment on or make changes to this bug.